Subject: bug#31700: Make clean deletes french manuals

From: [email-masked] (Ludovic Courtès)
Date: Mon, 04 Jun 2018 13:45:33 +0200

Hi Gábor,

Gábor Boskovits <[email-masked]> skribis:

> Make clean removes:
> doc/contributing.fr.texi
> doc/guix.fr.texi
>
> We had a discussion on #guix with roptat, and a few others.
> I have found out, that after removing $(TRANSLATED_INFO)
> from $(BUILT_SOURCES) in doc/local.mk these files are not
> deleted any more. I have doubts that this is a correct fix, as
> this might break dependency resolution.
>
> I also noticed, that after running make these two files end up with
> different content.

But they do get re-generated, right?

I think the issue is fixed with this patch:

diff --git a/nix/local.mk b/nix/local.mk
index 4452301c6..39717711f 100644
--- a/nix/local.mk
+++ b/nix/local.mk
@@ -22,7 +22,7 @@
 #
 
 BUILT_SOURCES += %D%/libstore/schema.sql.hh
-CLEANFILES += $(BUILT_SOURCES)
+CLEANFILES += %D%/libstore/schema.sql.hh
 
 noinst_LIBRARIES = libformat.a libutil.a libstore.a

I’ll push it if it works for you.

Thanks,
Ludo’.